Jump to content


Photo

Python SSL Module Missing Dependencies

enigma2 python

  • Please log in to reply
5 replies to this topic

#1 athoik

  • PLi® Core member
  • 7,922 posts

+294
Excellent

Posted 9 February 2013 - 15:32

Dear all,


The default installation of OpenPli ships with a broken ssl module.

root@dm800se:~# python2.7
Python 2.7.2 (default, Dec 14 2012, 09:28:54)
[GCC 4.6.4 20120303 (prerelease)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ssl
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/ssl.py", line 58, in <module>
ImportError: No module named textwrap
>>>

Installing the python-textutils fixes the problem.

root@dm800se:~# opkg install python-textutils
Installing python-textutils (2.7.2-r7.17) to root...
Downloading http://downloads.pli-images.org/feeds/openpli-3.0/dm800se/mips32el/python-textutils_2.7.2-r7.17_mips32el.ipk.
Configuring python-textutils.
root@dm800se:~# python2.7
iPython 2.7.2 (default, Dec 14 2012, 09:28:54)
[GCC 4.6.4 20120303 (prerelease)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ssl
>>>

Maybe the package python-io where ssl module belongs to needs a dependency on python-textutils.

root@dm800se:~# opkg files python-io
Package python-io (2.7.2-r7.17) is installed on root and has the following files:
/usr/lib/python2.7/lib-dynload/termios.so
/usr/lib/python2.7/socket.pyo
/usr/lib/python2.7/lib-dynload/_socket.so
/usr/lib/python2.7/lib-dynload/select.so
/usr/lib/python2.7/lib-dynload/_io.so
/usr/lib/python2.7/tempfile.pyo
/usr/lib/python2.7/io.pyo
/usr/lib/python2.7/StringIO.pyo
/usr/lib/python2.7/lib-dynload/cStringIO.so
/usr/lib/python2.7/pipes.pyo
/usr/lib/python2.7/ssl.pyo
/usr/lib/python2.7/lib-dynload/_ssl.so
/usr/lib/python2.7/_pyio.pyo

Thanks.

Edited by athoik, 9 February 2013 - 15:32.

Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: Python SSL Module Missing Dependencies #2 athoik

  • PLi® Core member
  • 7,922 posts

+294
Excellent

Posted 12 February 2013 - 23:07

Is there any OpenPLi developer watching this?

Do you thing is normal to have this error when loading ssl module?
Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: Python SSL Module Missing Dependencies #3 WanWizard

  • Forum Moderator
    PLi® Core member
  • 48,380 posts

+821
Excellent

Posted 13 February 2013 - 00:14

the ssl module isn't broken. it misses a dependency, so someone should add that.

Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Python SSL Module Missing Dependencies #4 athoik

  • PLi® Core member
  • 7,922 posts

+294
Excellent

Posted 13 February 2013 - 10:01

the ssl module isn't broken. it misses a dependency, so someone should add that.


Yes is missing a dependency (was mention in the subject), sorry for the misleading word broken.
Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: Python SSL Module Missing Dependencies #5 MiLo

  • PLi® Core member
  • 13,881 posts

+290
Excellent

Posted 13 February 2013 - 11:38

I've submitted a patch to Openembedded-core to solve the issue at the "root", so the whole wolrd can profit.
Real musicians never die - they just decompose

Re: Python SSL Module Missing Dependencies #6 athoik

  • PLi® Core member
  • 7,922 posts

+294
Excellent

Posted 14 February 2013 - 14:23

I've submitted a patch to Openembedded-core to solve the issue at the "root", so the whole wolrd can profit.


Excellent!

Python: Add missing dependency "textutils" to "io" package
http://cgit.openembedded.org/openembedded-core/commit/?id=900ae881c3483eea36aa0be456b93f92980f4924

Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users